import { Renderer2, AfterViewInit } from '@angular/core';
import { LoadingBarService } from './loading-bar.service';
export declare class LoadingBarComponent implements AfterViewInit {
    private _renderer;
    _spinner: any;
    _loadingBarContainer: any;
    _loadingBar: any;
    includeSpinner: boolean;
    private _autoIncrement;
    private _includeBar;
    private _latencyThreshold;
    private _startSize;
    private _started;
    private _status;
    private _incTimeout;
    private _completeTimeout;
    private _startTimeout;
    constructor(_renderer: Renderer2, loadingBarService: LoadingBarService);
    ngAfterViewInit(): void;
    /**
     * Inserts the loading bar element into the dom, and sets it to 2%
     */
    private start();
    /**
     * Set the loading bar's width to a certain percent.
     *
     * @param n any value between 0 and 1
     */
    private set(n);
    private complete();
    /**
     * Increments the loading bar by a random amount
     * but slows down as it progresses
     */
    private inc();
    private show(el);
    private hide(el);
    private setElementStyle(el, styleName, styleValue);
}
